Bug 1574362 - Review Request: python-black - Uncompromising Python code formatter
Summary: Review Request: python-black - Uncompromising Python code formatter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 06:59 UTC by Christian Heimes
Modified: 2018-06-08 21:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 10:55:22 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Christian Heimes 2018-05-03 06:59:49 UTC
Spec URL: https://cheimes.fedorapeople.org/python-black/python-black.spec
SRPM URL: https://cheimes.fedorapeople.org/python-black/python-black-18.4a4-1.fc27.src.rpm
Description: Black is the uncompromising Python code formatter. By using it, you agree to cease control over minutiae of hand-formatting. In return, Black gives you speed, determinism, and freedom from pycodestyle nagging about formatting. You will save time and mental energy for more important matters. Blackened code looks the same regardless of the project you're reading. Formatting becomes transparent after a while and you can focus on the content instead.
Fedora Account System Username: cheimes

Comment 1 Robert-André Mauchin 🐧 2018-05-03 13:39:56 UTC
 - Remove the shebangs of these scripts:

python3-black.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/black.py /usr/bin/env python3
python3-black.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/black.py 644 /usr/bin/env python3
python3-black.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/blib2to3/pgen2/token.py /usr/bin/env python3
python3-black.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/blib2to3/pgen2/token.py 644 /usr/bin/env python3

   See https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 40 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-black/review-python-
     black/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-black-18.4a4-1.fc29.noarch.rpm
          python-black-18.4a4-1.fc29.src.rpm
python3-black.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-black.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-black.noarch: W: spelling-error %description -l en_US pycodestyle -> peristyle
python3-black.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/black.py /usr/bin/env python3
python3-black.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/black.py 644 /usr/bin/env python3
python3-black.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/blib2to3/pgen2/token.py /usr/bin/env python3
python3-black.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/blib2to3/pgen2/token.py 644 /usr/bin/env python3
python3-black.noarch: W: no-manual-page-for-binary black
python3-black.noarch: W: no-manual-page-for-binary black-3.6
python-black.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python-black.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python-black.src: W: spelling-error %description -l en_US pycodestyle -> peristyle
2 packages and 0 specfiles checked; 4 errors, 8 warnings.

Comment 2 Christian Heimes 2018-05-03 14:41:14 UTC
Thanks for the package review.

I have updated the spec file and SRPM. Since the package hasn't been released yet, I haven't bothered to update the changelog. I hope that's fine with you.

Comment 3 Christian Heimes 2018-05-04 12:14:58 UTC
Please take a look at the updated spec file.

Comment 4 Robert-André Mauchin 🐧 2018-05-04 14:15:45 UTC
Package approved.

Comment 5 Gwyn Ciesla 2018-05-04 15:02:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-black

Comment 6 Fedora Update System 2018-05-04 15:19:11 UTC
python-black-18.4a4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd672651f7

Comment 7 Fedora Update System 2018-05-04 15:19:19 UTC
python-black-18.4a4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db0d9aed55

Comment 8 Fedora Update System 2018-05-06 10:08:14 UTC
python-black-18.4a4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd672651f7

Comment 9 Fedora Update System 2018-05-06 21:53:45 UTC
python-black-18.4a4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db0d9aed55

Comment 10 Fedora Update System 2018-05-29 10:54:14 UTC
python-black-18.5b1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d9977a1f

Comment 11 Fedora Update System 2018-05-29 10:54:23 UTC
python-black-18.5b1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ff0ccb6c6

Comment 12 Fedora Update System 2018-05-30 13:41:28 UTC
python-black-18.5b1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d9977a1f

Comment 13 Fedora Update System 2018-05-30 16:55:09 UTC
python-black-18.5b1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ff0ccb6c6

Comment 14 Fedora Update System 2018-06-08 13:10:18 UTC
python-black-18.5b1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-06-08 21:34:10 UTC
python-black-18.5b1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.